use strict;
use warnings;
use lib 't/lib';
use Test::More qw(no_plan);
use Test::Exception;
use Devel::Dwarn;

BEGIN {
    use_ok 'Cafe';
    $ENV{DBIC_TRACE} = 0;
}

my $schema = Cafe->connect( 'dbi:Pg:dbname=test', 'postgres', '' );
$schema->storage->dbh->{Warn} = 0;
$schema->storage->ensure_connected;
$schema->storage->_use_insert_returning(0);

my $dir = "t/sql";    # tempdir(CLEANUP => 0);
$schema->create_ddl_dir( ['PostgreSQL'], 0.1, $dir );
$schema->deploy( { add_drop_table => 1, add_drop_view => 1 } );

isa_ok(
    $schema->source('Sumatra'),
    'DBIx::Class::ResultSource::View',
    "My MTI class also"
);

my ( $drink, $drink1 );

lives_ok {
    $drink = $schema->resultset('Sumatra')
        ->create( { sweetness => 4, aroma => 'earthy', flavor => 'great' } );
}
"I can call a create on a view sumatra";

lives_ok {
    $drink1 = $schema->resultset('Coffee')->create( { flavor => 'aaight', } );
}
"I can do it for the other view, too";
